<template>
  <div class="px-5 py-10 space-y-16 content">
    <section>
      <div class="text-3xl font-bold font-quincy text-center mb-8 sm:hidden">
        Your doctor is with you every step of the way.
      </div>
      <div class="hidden sm:grid grid-cols-2 sm:gap-x-16">
        <div class="mx-auto img bg-grey-mlight mb-10 sm:mx-0">
<!--          TODO ADD IMAGE-->
          noimg
        </div>
        <div>
          <div class="text-4.5xl font-bold font-quincy mb-10">
            Your doctor is with you every step of the way.
          </div>
          <div class="grid gap-y-4">
            <div
              class="grid item gap-x-4"
              v-for="(item, idx) in items"
              :key="item.title"
            >
              <div class="border border-green rounded-full h-8 grid place-items-center">
                {{ idx + 1 }}
              </div>
              <div>
                <div class="mb-3 text-lg font-semibold">{{ item.title }}</div>
                <p>{{ item.text }}</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="flex flex-col items-center">
      <img class="mb-4" width="27px" src="@/assets/img/icons/treatment.png" alt="">
      <div class="text-3xl mb-2 font-bold font-quincy sm:text-4.5xl">The Treatment</div>
      <p class="mb-8 sm:mb-16">Start seeing results in just 3 months.</p>
      <div class="sm:mb-16 sm:grid sm:grid-cols-2 sm:gap-x-16">
        <div class="
        mb-8 w-full bg-white relative p-5 flex items-start space-x-5 rounded-lg
        sm:pl-16
">
          <img class="w-10 sm:w-20" src="@/assets/img/common/custom-prescription-solution.png" alt="solution">
          <div class="flex flex-col">
            <p class="uppercase-title text-green-sdark mb-2">Minoxidil & Tretinoin</p>
            <p class="mb-3">Custom Prescription Solution</p>
            <ul class="styled-list">
              <li>Doctor formulated specifically for your hair needs</li>
              <li>This dermatologist-approved combo has been shown to keep the hair you have and regrow the hair you’ve already lost.</li>
            </ul>
            <div class="
            absolute flex flex-col items-center justify-center text-green-black
            text-center -right-4 -top-4 rounded-full bg-green text-center up-to-circle
            sm:-left-4 sm:right-full
">
              <div class="text-xxs">Up to </div>
              <div class="font-quincy font-bold text-2xl">7<span class="text-xs">%</span></div>
              <div class="text-xxs">Minoxidil </div>
            </div>
          </div>
        </div>
        <div>
          <div class="self-start font-semibold h1 mb-10">Included FREE in your first order:</div>
          <div class="grid gap-y-8 px-5 mb-10">
            <div class="flex space-x-5">
              <img width="40px" src="" alt="no thyroid image">
              <div>
                <div class="uppercase-title text-green-sdark mb-2">COMPLETE</div>
                <div class="mb-2">Thyroid Support</div>
                <div class="text-sm text-grey-dark">A healthy, supported thyroid is vital to overall health to help protect against hair loss. </div>
              </div>
            </div>
            <div class="flex space-x-5">
              <img width="40px" src="@/assets/img/common/foam.png" alt="no foam image">
              <div>
                <div class="uppercase-title text-green-sdark mb-2">Leave-In Daily</div>
                <div class="mb-2">Foam</div>
                <div class="text-sm text-grey-dark">Protects against hormonal hair loss. The foam penetrates deep into your scalp to block the DHT hormone from interfering with your hair’s natural growth cycle.</div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <common-btn
        text="Get Started"
        class="sm:w-max sm:px-16"
      />
    </section>
    <section class="flex flex-col items-center sm:hidden">
      <img class="mb-4" width="50px" src="@/assets/img/icons/customers.png" alt="">
      <div class="text-center text-3xl mb-5 font-bold">Join thousands of satisfied customers</div>
      <div class="grid w-full customers gap-y-3 mb-5">
        <div
          class="grid overflow-hidden customer bg-white rounded-lg"
          v-for="customer in getCustomers"
          :key="customer.name"
        >
          <div class="bg-grey-mlight">
<!--            TODO ADD IMG-->
            noimg
          </div>
          <div class="p-5 text-sm">
            <div class="mb-3">
              {{ customer.text }}
            </div>
            <div class="text-grey-dark">{{ customer.name }}</div>
          </div>
        </div>
      </div>
      <div class="text-center w-full">
        <div class="mb-3 grid show-all-customers-container items-center gap-x-3">
          <div class="border-b border-grey-light"></div>
          <div
            class="cursor-pointer bg-green w-12 h-12 rounded-full grid place-items-center"
            @click="showAllCustomers = !showAllCustomers"
          >
            <img width="16px" src="@/assets/img/icons/open-close.png" alt="icon">
          </div>
          <div class="border-b border-grey-light"></div>
        </div>
        <div class="uppercase-title text-xs text-green-black">
          {{ showAllCustomers ? 'HIDE' : 'SEE MORE' }}
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: "MainDoctor",
  data() {
    return {
      showAllCustomers: false,
      items: [
        {
          title: 'Match with your doctor',
          text: 'We’ll pair you with your own personal doctor to help you with your treatment.',
        },
        {
          title: 'Get a personalized treatment',
          text: 'At your initial consult, they’ll prescribe the treatment that’s right for you.',
        },
        {
          title: 'Be supported throughout your journey',
          text: 'Each month*, your doctor will review your progress, answer questions and adjust your treatment as needed.',
        },
      ],
      customers: [
        {
          img: '',
          text: `“That's when it happened.  Little changes began to take place that started to become noticeable over time.”`,
          name: '–Dana H.',
        },
        {
          img: '',
          text: '“Before, my hair was stringy, lifeless, and badly damaged. Within weeks of using the products, I noticed fine hair growing back.”',
          name: '–Dana V.',
        },
        {
          img: '',
          text: '“After having 2 kids, I was losing hair quickly. So glad I found Shapiro MD as I’m seeing new hairs coming back on hy hairline.”',
          name: '–Amanda H.',
        },
        {
          img: '',
          text: `“That's when it happened.  Little changes began to take place that started to become noticeable over time.”`,
          name: '–Dana D.',
        },
      ]
    }
  },
  computed: {
    getCustomers() {
      return this.showAllCustomers ? this.customers : this.customers.slice(0, 3)
    }
  }
}
</script>

<style scoped>
.img {
  width: 275px;
  height: 330px;
}

@media (min-width: 640px) {
  .img {
    width: auto;
    height: 462px;
  }

  .content {
    padding-left: 200px;
    padding-right: 200px;
  }
}

.item {
  grid-template-columns: 32px 1fr;
}

.customer {
  grid-template-columns: 1fr 2fr;
}

.customers {
  grid-auto-rows: minmax(170px, 1fr);
}

.show-all-customers-container {
  grid-template-columns: 1fr 45px 1fr;
}

.up-to-circle {
  min-width: 72px;
  min-height: 72px;
}
</style>
